Create a link that guests can use to review the playlist without an account. The link can expire, block comments and ask for a password. You must be an administrator or a manager of the project. The role held on the project team applies.
POST
/data/playlists/{playlist_id}/share
curl \
--request POST '/api/data/playlists/a24a6ea4-ce75-4665-a070-57453082c250/share' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"expiration_date": "2026-12-31",
"can_comment": true,
"can_download": false,
"password": "string"
}'
Request examples
{
"expiration_date": "2026-12-31",
"can_comment": true,
"can_download": false,
"password": "string"
}
Response examples (201)
{
"id": "string",
"token": "string",
"playlist_id": "string",
"expiration_date": "2026-05-04T09:42:00Z",
"is_active": true,
"can_comment": true,
"can_download": true,
"has_password": true
}